Redmine - Defect #31081

Internal error for open issues
2019-03-21 16:38 - libero dark

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour

Target version:

Resolution: Duplicate Affected version: 3.4.9

Description
Hi,

Have upgrade my redmine to 3.2.x t0 3.4.9 |
Is work but have 4 plugins :

Easy Gantt plugin

Easy MindMup plugin

Easy WBS plugin

Redmine Issue Templates plugin
LoginAttemptsLimit

All plugins have been updated, but now have a Internal error for open issues :

Started GET "/projects/eurogiciel-euromine/issues/new" for 10.10.99.11 at 2019-03-21 16:28:30 +0100
Processing by IssuesController#new as HTML

Parameters: {"project_id"=>"eurogiciel-euromine"}

Current user: liberodark (id=953)

Rendered plugins/redmine_issue_templates/app/views/issue_templates/_issue_select_form.html.erb (9.8ms)
Rendered issues/_attributes.html.erb (19.3ms)

Rendered issues/_form.html.erb (334.7ms)

Rendered issues/new.html.erb within layouts/base (388.6ms)

Completed 500 Internal Server Error in 711ms (ActiveRecord: 47.0ms)

ActionView::Template::Error (undefined method “accessor' for #<ActiveRecord::Type::Value:0x00000007b33538>):

15: <% end >

16:

17: < if @issue.safe_attribute? 'assigned_to_id' >

18: <p><= f.select :assigned_to_id, principals_options_for_select(@issue.assignable_users, @issue.assigned_to), :include_blank =>
true, :required => @issue.required_attribute?('assigned_to_id") ></p>

19:<end >

20:

21: < if @issue.safe_attribute?('category_id') && @issue.project.issue_categories.any? %>

app/models/role.rb:229:in “permissions_all_trackers'

app/models/role.rb:238:in “permissions_all_trackers?'

app/models/role.rb:244:in “permissions_tracker?'

app/models/project.rb:559:in “block in assignable_users'

app/models/project.rb:559:in “assignable_users'

app/models/issue.rb:927:in "assignable_users'

app/views/issues/_attributes.html.erb:18:in “block in app_views_issues_attributes_html_erb__ 1455453579356630566_71506260'
app/helpers/application_helper.rb:1197:in “labelled_fields_for'

app/views/issues/_attributes.html.erb:1:in "_app_views_issues__attributes_html_erb__ 1455453579356630566_71506260'
app/views/issues/_form.html.erb:43:in "block in app_views_issues_form_html_erb_ 4113501746877595737_68520700'
app/helpers/application_helper.rb:1197:in “labelled_fields_for'

app/views/issues/_form.html.erb:1:in *_app_views_issues__form_html_erb__ 4113501746877595737_68520700'
app/views/issues/new.html.erb:11:in “block in app_views_issues _new_html_erb_730958019566903464_66669180'
app/helpers/application_helper.rb:1190:in “labelled_form_for'

app/views/issues/new.html.erb:5:in *_app_views_issues_new_html_erb__730958019566903464_66669180'
app/controllers/issues_controller.rb:119:in "block (2 levels) in new’

app/controllers/issues_controller.rb:118:in “new'

lib/redmine/sudo_mode.rb:63:in “sudo_mode'

2025-05-03 1/2




You have any idea ?

Best Regards

History

#2 - 2019-03-21 16:39 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Duplicate
Don't multipost issues.
#3 - 2019-03-21 16:42 - libero dark

Sorry but have try to remove the https:/www.redmine.org/issues/31080
Can you please you have possibility to remove this issue "31080"

#4 - 2019-03-21 20:52 - Marius BALTEANU

libero dark wrote:

Sorry but have try to remove the https:/www.redmine.org/issues/31080

Can you please you have possibility to remove this issue "31080"

Done.
